### Constructor

# Phosh PortalRequest new

#### Declaration [src]

    PhoshPortalRequest*
    phosh_portal_request_new (
      const char* sender,
      const char* app_id,
      const char* id
    )

#### Description

No description available.

#### Parameters

`sender`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`app_id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PhoshPortalRequest`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.